{"openapi":"3.1.0","info":{"title":"POST /api/v1/vendor-credits/{vendor_credit_id}/unapply","version":"1.0.0","description":"Un-apply vendor credit from bill"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/vendor-credits/{vendor_credit_id}/unapply":{"post":{"tags":["vendor-credits"],"summary":"Un-apply vendor credit from bill","description":"Remove (un-link) a vendor credit from a bill, restoring balances.","operationId":"unapply_vendor_credit_api_v1_vendor_credits__vendor_credit_id__unapply_post","parameters":[{"name":"vendor_credit_id","in":"path","required":true,"schema":{"type":"string","title":"Vendor Credit Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VendorCreditUnapply"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessEnvelope_VendorCreditUnapplyResponse_"}}}},"400":{"description":"Bad Request - Invalid input","content":{"application/json":{"example":{"detail":"Invalid request parameters"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"404":{"description":"Not Found - Resource does not exist","content":{"application/json":{"example":{"detail":"Resource not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"SuccessEnvelope_VendorCreditUnapplyResponse_":{"properties":{"success":{"type":"boolean","title":"Success","default":true},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Code"},"data":{"anyOf":[{"$ref":"#/components/schemas/VendorCreditUnapplyResponse"},{"type":"null"}]}},"additionalProperties":true,"type":"object","title":"SuccessEnvelope[VendorCreditUnapplyResponse]"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"},"VendorCreditUnapply":{"properties":{"bill_id":{"type":"string","title":"Bill Id","description":"Bill to remove (un-link) the vendor credit from"}},"type":"object","required":["bill_id"],"title":"VendorCreditUnapply","description":"Request schema for un-applying a vendor credit from a bill.","example":{"bill_id":"019ab37c-bill-7000-8000-000000000002"}},"VendorCreditUnapplyResponse":{"properties":{"vendor_credit_id":{"type":"string","title":"Vendor Credit Id","description":"The vendor credit ID"},"bill_id":{"type":"string","title":"Bill Id","description":"Bill the credit was removed from"},"amount_unapplied":{"type":"integer","title":"Amount Unapplied","description":"Total amount un-applied in cents"},"amount_unapplied_dollars":{"type":"string","pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","title":"Amount Unapplied Dollars","description":"Total amount un-applied in dollars"},"applications_removed":{"type":"integer","title":"Applications Removed","description":"Number of application records removed"},"vendor_credit_status":{"type":"string","title":"Vendor Credit Status","description":"Resulting vendor credit status"},"amount_remaining":{"type":"integer","title":"Amount Remaining","description":"Vendor credit remaining available balance in cents"},"amount_remaining_dollars":{"type":"string","pattern":"^(?!^[-+.]*$)[+-]?0*\\d*\\.?\\d*$","title":"Amount Remaining Dollars","description":"Vendor credit remaining available balance in dollars"},"bill_status":{"type":"string","title":"Bill Status","description":"Resulting bill status"}},"type":"object","required":["vendor_credit_id","bill_id","amount_unapplied","amount_unapplied_dollars","applications_removed","vendor_credit_status","amount_remaining","amount_remaining_dollars","bill_status"],"title":"VendorCreditUnapplyResponse","description":"Response schema for un-applying a vendor credit from a bill."}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}